import { Expression, SourceFile } from 'ts-morph';
import { APIOperationTemplateName } from './operations';
import type { Context } from '../context';
type APIOperationConfig = APIOperationTemplateName | [
    APIOperationTemplateName,
    {
        name?: string;
        queryParams?: string[];
    }
];
type APIEntryConfig = {
    url: string;
    operations: APIOperationConfig[];
};
type APIEntryKey = string;
type APIEntriesConfig = Record<APIEntryKey, APIEntryConfig>;
/**
 * Generates API initialization function, as well as configured API variable.
 */
export declare class APIConfig {
    protected readonly context: Context;
    readonly sourceFile: SourceFile;
    protected apiConfig: APIEntriesConfig;
    constructor(context: Context, sourceFile: SourceFile);
    collectData(): void;
    generateCode(): void;
    protected generateMakeApiConfig(): void;
    protected generateEntryConfigs(configElementObj: Expression): void;
    protected generateCommonConfig(configElementObj: Expression): void;
}
export {};
//# sourceMappingURL=APIConfig.d.ts.map