import { ActionSignature } from './ActionSignature';
import type { Context } from '../context';
import type { SourceFile } from 'ts-morph';
/**
 * Generates the type alias, containing signatures of all API actions.
 * For each action, delegates the task of generating its signature to ActionSignature part.
 *
 * @see ActionSignature
 */
export declare class ActionsSignatures {
    readonly context: Context;
    readonly sourceFile: SourceFile;
    readonly name: string;
    protected readonly actions: Map<string, ActionSignature>;
    constructor(context: Context, sourceFile: SourceFile);
    collectData(): void;
    generateCode(): void;
}
//# sourceMappingURL=ActionsSignatures.d.ts.map