"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestFile = void 0;
const path_1 = __importDefault(require("path"));
const code_morph_ts_1 = require("@fresha/code-morph-ts");
/**
 * Generates file with basic API tests.
 */
class TestFile {
    constructor(context) {
        this.context = context;
        this.tsSourceFile = this.context.project.createSourceFile(path_1.default.join(this.context.outputPath, 'src', 'index.test.ts'), '', { overwrite: true });
    }
    // eslint-disable-next-line class-methods-use-this
    collectData() { }
    generateCode() {
        (0, code_morph_ts_1.addImportDeclarations)(this.tsSourceFile, {
            '@fresha/connector-utils/build/types/api': 't:APIEntryConfig',
            '@fresha/connector-utils/build/apiConfig/utils': 'generateUrlsMapping',
            './index': 'makeApiConfig',
        });
        (0, code_morph_ts_1.addConstant)(this.tsSourceFile, this.context.apiRootUrl, "'http://localhost:3000'");
        this.tsSourceFile.addStatements((writer) => {
            writer.newLine();
            writer.writeLine("describe('init', () => {");
            writer.indent(() => {
                writer.writeLine("it('matches the snapshot', () => {");
                writer.indent(() => {
                    writer.writeLine(`const [apiConfig, options] = makeApiConfig({ ${this.context.apiRootUrl} });`);
                    writer.writeLine('expect(');
                    writer.indent(() => {
                        writer.writeLine('generateUrlsMapping([(apiConfig as unknown) as APIEntryConfig[], options]),');
                    });
                    writer.writeLine(').toMatchSnapshot();');
                });
                writer.writeLine('});');
            });
            writer.writeLine('});');
        });
    }
}
exports.TestFile = TestFile;
//# sourceMappingURL=TestFile.js.map