import type { PathItemOperationKey } from '@fresha/openapi-model/build/3.0.3';
/**
 * Supported operation templates.
 */
export type APIOperationTemplateName = 'list' | 'read' | 'create' | 'update' | 'patch' | 'update' | 'delete' | 'single-read' | 'single-update' | 'single-patch' | 'single-delete';
export type OperationTemplate = {
    name: APIOperationTemplateName;
    actionName: (entryKey: string) => string;
    httpMethod: string;
    hasRequestBody: boolean;
    makeUrl: (urlBase: string) => string;
};
export declare const OPERATION_TEMPLATES_MAP: Record<APIOperationTemplateName, OperationTemplate>;
export declare const findOperationTemplate: (httpMethod: PathItemOperationKey, itemPath: string, entryKey: string, operationId?: string) => {
    name: APIOperationTemplateName;
    template: OperationTemplate;
};
//# sourceMappingURL=operations.d.ts.map